Loading...
Searching...
No Matches
freecontact.cpp File Reference
`#include "config.h"`
`#include <omp.h>`
`#include <boost/format.hpp>`
`#include <cblas.h>`
`#include <iomanip>`
`#include <iostream>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <sys/time.h>`
`#include <time.h>`
`#include <unistd.h>`
`#include "freecontact.h"`

Go to the source code of this file.

## Classes

class | freecontact::ct_vector< _Tp >
class | freecontact::af_vector< _Tp >
class | freecontact::pf_vector
class | freecontact::cov_vector< _Tp >
class | freecontact::_rawscore_calc_t
| Calculates raw score for an i,j contact. More...
class | freecontact::d2matrix< _Tp, _Tri, _Tci >
| 2-dimensional matrix. More...
class | freecontact::_glasso_timer

## Namespaces

namespace | freecontact

## Macros

#define | CAN_VECW 0
#define | _fill_pfi(__i)

## Typedefs

typedef float | g_fp_t
typedef float | freecontact::cov_fp_t
typedef float | freecontact::fp_t
typedef d2matrix< uint32_t, uint32_t, int > | freecontact::simcnt_t

## Functions

void | glassofast_ (int *, g_fp_t *, g_fp_t *, g_fp_t *, int *, int *, int *, g_fp_t *, g_fp_t *, g_fp_t *, g_fp_t *, int *, int *)
void | spotrf_ (const char *UPLO, const int *N, float *A, const int *LDA, int *INFO)
void | sgetrf_ (int *M, int *N, float *A, int *LDA, int *IPIV, int *INFO)
void | sgetri_ (int *N, float *A, int *lda, int *IPIV, float *WORK, int *LWORK, int *INFO)
static void | freecontact::_raw_score_matrix (map< string, ct_vector< fp_t > > &__raw_ctscore, map< string, vector< double > > &__apc_bg, map< string, double > &__apc_mean, const uint16_t __alilen, const string &__key, const _rawscore_calc_t &__fo)
| Calculate raw contact scores using given function and collect row/column/overall mean for APC calculation.
static vector< contact_t > | freecontact::_apc (const ct_vector< fp_t > &__raw_ctscore, const vector< double > &__apc_bg, const double __apc_mean, const uint16_t __mincontsep, bool __filt)
static vector< contact_t > | freecontact::_raw_as_is (const ct_vector< fp_t > &__raw_ctscore, const uint16_t __mincontsep)
static uint32_t | freecontact::_cache_holds_nseq (uint16_t __seqsize)
static __m128i | freecontact::_mm_setzero_si128 ()

## Macro Definition Documentation

## _fill_pfi

#define _fill_pfi | ( |  | __i | ) |

Value:
{\
pairfreq_t *pfi = &pairfreq(__i,0,0,0);\
for(uint16_t j = __i+1; j < __ali.alilen; ++j)\
{\
uint8_t ai = alik[__i];\
uint8_t aj = alik[j];\
if(ai < 21 && aj < 21)\
pfi[ j*pairfreq.d2 + ai*pairfreq.d3 + aj ] += ps_aliwk;\
} }

## CAN_VECW

#define CAN_VECW 0

## Typedef Documentation

## g_fp_t

typedef float g_fp_t

Definition at line 38 of file freecontact.cpp.

## Function Documentation

## glassofast_()

void glassofast_ | ( | int * | ,
|  | g_fp_t * | ,
|  | g_fp_t * | ,
|  | g_fp_t * | ,
|  | int * | ,
|  | int * | ,
|  | int * | ,
|  | g_fp_t * | ,
|  | g_fp_t * | ,
|  | g_fp_t * | ,
|  | g_fp_t * | ,
|  | int * | ,
|  | int * | )

## sgetrf_()

void sgetrf_ | ( | int * | M,
|  | int * | N,
|  | float * | A,
|  | int * | LDA,
|  | int * | IPIV,
|  | int * | INFO )

## sgetri_()

void sgetri_ | ( | int * | N,
|  | float * | A,
|  | int * | lda,
|  | int * | IPIV,
|  | float * | WORK,
|  | int * | LWORK,
|  | int * | INFO )

## spotrf_()

void spotrf_ | ( | const char * | UPLO,
|  | const int * | N,
|  | float * | A,
|  | const int * | LDA,
|  | int * | INFO )